Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225507 - nfsnobody == 4294967294 causes idmapd to stop responding
Summary: nfsnobody == 4294967294 causes idmapd to stop responding
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL: http://forums.fedoraforum.org/showthr...
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 23:06 UTC by Jerry James
Modified: 2009-08-25 17:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-18 20:20:11 UTC


Attachments (Terms of Use)

Description Jerry James 2007-01-30 23:06:29 UTC
Description of problem:
I set up a small cluster of FC6 machines, with one server and 4 workstations. 
The server and 3 of the workstations are x86_64, one workstation is a Pentium 4.
 The server was configured to provide an NFS filesystem, with /etc/exports
defining anonuid and anongid as 4294967294, the same as the definition of
nfsnobody in /etc/passwd and /etc/group.

The Pentium 4 is a sacrificial machine for doing kernel experiments.  I gave one
of my users sudo permissions to let him build and install kernels.  When he used
 sudo to compile by mistake, the creation of a file owned by nfsnobody caused
every single workstation to freeze up.  Investigation turned up this line in
/var/log/messages on the server:

Jan 29 14:37:26 abbott rpc.idmapd[2758]: nfsdcb: id '-2' too big!

Although "service rpcidmapd status" showed that it was still running, it was
clear that idmapd wasn't functioning.  Forcing it to restart got the other
workstations running again.  I took the advice in the URL specified in this bug
report and changed nfsnobody to 65534, which has prevented the problem from
recurring.  However, contrary to what is said in the messages found at that URL,
there are no older Unix systems in my cluster; every machine is running FC6.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-5.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Set up an NFS server.  In /etc/exports, include
anonuid=4294967294,anongid=4294967294.
2. Create a file in an NFS mounted directory as a user unknown to the server
machine.
3. Observe that the client machines are now unable to perform operations on NFS
 mounted files.
  
Actual results:
The idmap service stops responding.

Expected results:
The idmap service should map the anonymous user/group to nfsnobody and proceed
normally.  Even if it issues an error, it should still proceed normally instead
of ceasing to respond.

Additional info:

Comment 1 Bug Zapper 2008-04-04 06:02:01 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Steve Dickson 2008-04-04 12:46:30 UTC
I think this problem still exist... changing Version to rawhide.

Comment 3 Bug Zapper 2008-05-14 02:34:51 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Steve Dickson 2008-09-18 18:45:35 UTC
I'm having no luck reproducing this with later nfs-utils like
nfs-utils-1.1.3-2 and nfs-utils-1.0.9-36

Is this still happening?

Comment 5 Jerry James 2008-09-18 18:50:27 UTC
I've since changed jobs, and we're not using NFS at my new place of work, so I can't even test this anymore.  If you can't see it, then let's consider it fixed.  Thanks for looking into it.

Comment 6 Ondrej Valousek 2009-08-05 15:55:59 UTC
the bug is still there (as of RHEL 5.3 x64)
Ondrej

Comment 7 Harald Klein 2009-08-10 09:50:55 UTC
Maybe this is relevant: http://linux-nfs.org/pipermail/nfsv4/2007-December/007321.html

best regards,
Hari

Comment 8 Harald Klein 2009-08-25 17:00:39 UTC
We've tested 2.6.18-157 with the patch from #7 applied, fixes the issue.

br, Hari


Note You need to log in before you can comment on or make changes to this bug.